Skip to main content
`Ctrl`+`K`

# PetscFVCellGeom

Data structure (C struct) for storing information about cell geometry for a finite volume method.

## Synopsis

    typedef struct {
      PetscReal centroid[3];
      PetscReal volume;
    } PetscFVCellGeom;

Note: The components are

       PetscReal   centroid[3] - The cell centroid
       PetscReal   volume      - The cell volume

## See Also

`PetscFVFaceGeom`, `DMPlexComputeGeometryFVM()`

## Level

beginner

## Location

include/petscfvtypes.h

## Examples

src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages